Extending Qt Creator Manual | RightPaneWidget

Extending Qt Creator Manual 4.5.2

# RightPaneWidget Class

(Core::RightPaneWidget)

- List of all members, including inherited members

## Public Functions

| RightPaneWidget()
| ~RightPaneWidget()
bool | isShown()
void | readSettings(QSettings *settings)
void | saveSettings(QSettings *settings)
void | setShown(bool b)
void | setWidget(QWidget *widget)
int | storedWidth()

## Static Public Members

RightPaneWidget * | instance()

## Protected Functions

void | resizeEvent(QResizeEvent *)

## Member Function Documentation

### RightPaneWidget::RightPaneWidget()

Default constructs an instance of RightPaneWidget.

### RightPaneWidget::~RightPaneWidget()

Destroys the instance of RightPaneWidget.

### `[static]` RightPaneWidget *RightPaneWidget::instance()

### bool RightPaneWidget::isShown()

### void RightPaneWidget::readSettings(QSettings *settings)

### `[protected]` void RightPaneWidget::resizeEvent(QResizeEvent *)

### void RightPaneWidget::saveSettings(QSettings *settings)

### void RightPaneWidget::setShown(bool b)

See also isShown().

### void RightPaneWidget::setWidget(QWidget *widget)

### int RightPaneWidget::storedWidth()